# norootforbuild

Name:		mtip32xx 
BuildRequires:	kernel-source kernel-syms module-init-tools
License:	GPLv2
Group:		System/Kernel
Summary:	Driver update package for Micron RealSSD PCIe Block Driver  
Version:	3.3.0
Release:	1
Source0:	%name-%version.tar.bz2

BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%suse_kernel_module_package kdump um

%description
SLES11 Driver Update for Micron RealSSD PCIe Block Driver.

%package KMP
Summary: 	Micron mtip32xx kernel module
Group: 		System/Kernel

%description KMP
This is the kernel module package for Micron mtip32xx driver.

%prep
%setup

set -- *
mkdir source
mv "$@" source/
echo "mtip32xx.ko external" > source/Module.supported
mkdir obj

%build
export EXTRA_CFLAGS='-DVERSION=\"%version\"'
for flavor in %flavors_to_build; do
    rm -rf obj/$flavor
    cp -r source obj/$flavor
    make -C /usr/src/linux-obj/%_target_cpu/$flavor modules \
	M=$PWD/obj/$flavor
done

%install
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=updates
for flavor in %flavors_to_build; do
    make -C /usr/src/linux-obj/%_target_cpu/$flavor modules_install \
	 M=$PWD/obj/$flavor
done

%changelog
